import { IDataContext } from './data-context';
import { IToken, TokenType, ITokenExtend } from '@identity-stack/core';
export interface IAuthTokenRepository {
    saveToken(userId: string, clientId: string, tokenId: string, type: TokenType, expirationDate: Date, scope?: string[], redirectURI?: string, context?: IDataContext): Promise<ITokenExtend>;
    findByTokenId(tokenId: string, type: TokenType, context?: IDataContext): Promise<IToken>;
    deleteByTokenId(tokenId: string, contet?: IDataContext): Promise<boolean>;
    deleteAllTokenByUserId(userId: string, type?: TokenType, context?: IDataContext): Promise<boolean>;
    removeExpiredTokens(type: TokenType, context?: IDataContext): Promise<boolean>;
}
