import { IDataContext } from './data-context';
import { IClientHash, IVersionedHash, IClientOptions } from '@identity-stack/core';
export interface IClientRepository {
    saveClient(client: IClientHash, context?: IDataContext): Promise<IClientHash>;
    updateClientOptions(clientId: string, clientOptions: IClientOptions, context?: IDataContext): any;
    findByUserId(userId: string, context?: IDataContext): Promise<IClientHash>;
    findByClientId(clientId: string, context?: IDataContext): Promise<IClientHash>;
    updateClientSecret(clientId: string, clientString: IVersionedHash, secretMask: string, context?: IDataContext): any;
}
