import { IClient, ClientType, IClientOptions } from '@identity-stack/core';
export interface IClientService {
    verifyClient(clientId: string, clientSecret: string): Promise<IClient>;
    createClient(name: string, clientType: ClientType): Promise<IClient>;
    findClient(clientId: string, redirectURI: string): Promise<IClient>;
    unsecuredFindClient(clientId: string): Promise<IClient>;
    updateClient(clientId: string, clientOptions: IClientOptions): Promise<IClient>;
    refreshAndPersistSecret(clientId: string, requireClientSecretHashed: boolean): Promise<{
        clientSecret: string;
        secretMask: string;
    }>;
}
