import { IUser } from '@identity-stack/core';
export interface IEmailConnector {
    sendMail(mail: object): Promise<object>;
}
export declare enum EmailPriority {
    High = 1,
    Normal = 0,
    Low = -1,
}
export interface IEmailTemplate {
    from?: string;
    subject: (user?: IUser) => string;
    text: (user: IUser, url: string) => string;
}
export interface IEmailTemplates {
    from: string;
    verifyEmail: IEmailTemplate;
    resetPassword: IEmailTemplate;
    enrollAccount: IEmailTemplate;
}
export interface IEmailJob {
    template: string;
    from: string;
    to: string | Array<string>;
    variables?: any;
    priority?: EmailPriority;
}
export interface IEmail extends IEmailTemplate {
    to: string;
}
export declare type SendMailFunction = (emailConfig: IEmail | object) => Promise<object>;
export declare type PrepareMailFunction = (to: string, token: string, user: IUser, pathFragment: string, emailTemplate: IEmailTemplate, from: string) => object;
