import { IUserCreationRequest, IUserRegistrationRequest, IUserCreationResponse, IUserRegistrationResponse, IVerifyUserRequest, IVerifyEmailRequest, IForgotPasswordRequest, IForgotPasswordResponse, IResetPasswordRequest, IChangePasswordRequest, ILoginRequest, IProfile, IUser } from '@identity-stack/core';
import { IDataContext } from './data-context';
export interface IUserCreationService {
    createUser(userCreation: IUserCreationRequest, dataContext?: IDataContext): Promise<IUserCreationResponse>;
}
export interface IUserRegistrationService {
    registerUser(userRegistration: IUserRegistrationRequest, dataContext?: IDataContext): Promise<IUserRegistrationResponse>;
}
export interface ILoginService {
    login(loginRequest: ILoginRequest, dataContext?: IDataContext): Promise<IUser | null>;
}
export interface IUserVerificationService {
    verifyUser(verifyUserRequest: IVerifyUserRequest, dataContext?: IDataContext): Promise<void>;
    verifyEmail(verifyEmailRequest: IVerifyEmailRequest, dataContext?: IDataContext): Promise<void>;
}
export interface IForgotPasswordService {
    forgotPassword(forgotPasswordRequest: IForgotPasswordRequest, dataContext?: IDataContext): Promise<IForgotPasswordResponse>;
}
export interface IResetPasswordService {
    resetPassword(resetPasswordRequest: IResetPasswordRequest, dataContext?: IDataContext): Promise<void>;
}
export interface IChangePasswordService {
    changePassword(changePasswordRequest: IChangePasswordRequest, dataContext?: IDataContext): Promise<void>;
}
export interface IProfileService {
    getProfileById(id: string): Promise<IProfile | null>;
    updateProfile(displayName: string, context?: any): Promise<number>;
}
export interface IIdentityService extends IUserCreationService, IUserRegistrationService, ILoginService, IUserVerificationService, IForgotPasswordService, IResetPasswordService, IChangePasswordService, IProfileService {
}
