import { IUser, IClient, TokenType } from '@identity-stack/core';
export interface IValidateTokenService {
    generateToken({userId, clientId, scope, type, redirectURI}: {
        userId: any;
        clientId: any;
        scope?: [string];
        type?: TokenType;
        redirectURI?: string;
    }): Promise<string>;
    generateTokens({userId, clientId, scope}: {
        userId: string;
        clientId: string;
        scope: [string];
    }): Promise<string[]>;
    validateRefreshToken(refreshToken: any, client: any): Promise<{
        id?: string;
        userId: string;
        clientId: string;
        expirationDate: Date;
        type: TokenType;
        scope?: [string];
        redirectURI?: string;
    }>;
    validateAndDeleteAuth(code: any, client: any, redirectURI: any): Promise<{
        id?: string;
        userId: string;
        clientId: string;
        expirationDate: Date;
        type: TokenType;
        scope?: [string];
        redirectURI?: string;
    }>;
    shallowValidateToken(token: any): Promise<string | never>;
    validateToken(token: any, type?: TokenType): Promise<{
        id?: string;
        userId: string;
        clientId: string;
        expirationDate: Date;
        type: TokenType;
        scope?: [string];
        redirectURI?: string;
    }>;
    getClientOrUser(token: any, accessToken: any): Promise<IUser | never | IClient>;
    calculateExpirationDate(): Date;
    revokeToken(token: string): void;
}
