import { IClientOptions, ProtocolType, GrantType, TokenUsage, TokenExpiration, AccessTokenType } from '@identity-stack/core';
export declare abstract class AbstractClientOptions implements IClientOptions {
    abstract clientType: any;
    name: string;
    description: string;
    userId: string;
    enabled: boolean;
    protocolType: ProtocolType;
    requireClientSecret: boolean;
    secretMask: string;
    clientUri: string;
    logoUri: string;
    requireClientSecretHashed: boolean;
    requireConsent: boolean;
    allowRememberConsent: boolean;
    allowedGrantTypes: GrantType[];
    requirePkce: boolean;
    allowPlainTextPkce: boolean;
    allowAccessTokensViaBrowser: boolean;
    redirectUris: any[];
    postLogoutRedirectUris: any[];
    frontChannelLogoutUri: string;
    frontChannelLogoutSessionRequired: boolean;
    backChannelLogoutUri: string;
    backChannelLogoutSessionRequired: boolean;
    allowOfflineAccess: boolean;
    allowedScopes: any[];
    alwaysIncludeUserClaimsInIdToken: boolean;
    identityTokenLifetime: number;
    accessTokenLifetime: number;
    authorizationCodeLifetime: number;
    absoluteRefreshTokenLifetime: number;
    slidingRefreshTokenLifeTime: number;
    consentLifetime: any;
    refreshTokenUsage: TokenUsage;
    updateAccessTokenClaimsOnRefresh: boolean;
    refreshTokenExpiration: TokenExpiration;
    accessTokenType: AccessTokenType;
    enableLocalLogin: boolean;
    identityProviderRestrictions: any[];
    includeJwtId: boolean;
    claims: any[];
    alwaysSendClientClaims: boolean;
    clientClaimsPrefix: string;
    pairWiseSubjectSalt: any;
    allowedCorsOrigins: any[];
    properties: any;
}
