import { ITokenRepository, IDataContext } from '../../../interfaces';
import { IVersionedHash } from '@identity-stack/core';
export declare class MemoryTokenRepository implements ITokenRepository {
    private verificationStore;
    private passwordResetStore;
    getVerificationTokenHashes(username: string, context: IDataContext): Promise<IVersionedHash[]>;
    addUsernameVerificationTokenHash(username: string, verificationTokenHash: IVersionedHash, context: IDataContext): Promise<void>;
    findUsernameVerificationTokenHashes(username: string, context?: IDataContext): Promise<IVersionedHash[]>;
    findEmailVerificationTokenHashes(username: string, email: string, context?: IDataContext): Promise<IVersionedHash[]>;
    addEmailVerificationTokenHash(username: string, email: string, verificationTokenHash: IVersionedHash, context: IDataContext): Promise<void>;
    destroyAllVerificationTokenHashes(username: string, context: IDataContext): Promise<void>;
    findPasswordResetTokenHashes(username: string, context?: IDataContext): Promise<IVersionedHash[]>;
    getPasswordResetTokenHashes(username: string, context: IDataContext): Promise<IVersionedHash[]>;
    addPasswordResetTokenHash(username: string, passwordResetTokenHash: IVersionedHash, context: IDataContext): Promise<void>;
    deleteAllPasswordResetTokenHashes(username: string, context: IDataContext): Promise<void>;
    deleteAllVerificationTokenHashes(username: string, context?: IDataContext): Promise<void>;
}
