import { IUserRepository, IDataContext } from '../../../interfaces';
import { IUser, IVersionedHash, INewUser } from '@identity-stack/core';
export declare class MemoryUserRepository implements IUserRepository {
    private userStore;
    private passwordStore;
    userExists(username: string, context: IDataContext): Promise<boolean>;
    findUserById(id: string): Promise<IUser>;
    findUserByEmail(email: string): Promise<IUser>;
    findUserByUsername(username: string, context?: IDataContext): Promise<IUser | null>;
    findPasswordHashByUsername(username: string, context?: IDataContext): Promise<IVersionedHash>;
    getUserByUsername(username: string, context: IDataContext): Promise<IUser | null>;
    getPasswordHashByUsername(username: string, context: IDataContext): Promise<IVersionedHash>;
    createUser(newUser: INewUser, context: IDataContext): Promise<void>;
    setUserPassword(username: string, passwordHash: IVersionedHash, context: IDataContext): Promise<void>;
    updateUserEmailVerified(username: string, email: string, verified: boolean, context: IDataContext): Promise<void>;
}
