/// <reference types="bunyan" />
import * as Logger from 'bunyan';
import { IChangePasswordService, IUserRepository, ITokenRepository, IDataContext } from '../interfaces';
import { IChangePasswordRequest } from '@identity-stack/core';
import { VersioningHasher } from '../security';
export declare class ChangePasswordService implements IChangePasswordService {
    private userRepository;
    private tokenRepository;
    private hasher;
    private logger;
    constructor(userRepository: IUserRepository, tokenRepository: ITokenRepository, hasher: VersioningHasher, logger: Logger);
    changePassword({username, oldPassword, newPassword}: IChangePasswordRequest, dataContext?: IDataContext): Promise<void>;
}
