/// <reference types="bunyan" />
import * as Logger from 'bunyan';
import { IResetPasswordService, IUserRepository, ITokenRepository, IDataContext } from '../interfaces';
import { IResetPasswordRequest } from '@identity-stack/core';
import { VersioningHasher } from '../security';
export declare class ResetPasswordService implements IResetPasswordService {
    private userRepository;
    private tokenRepository;
    private hasher;
    private logger;
    constructor(userRepository: IUserRepository, tokenRepository: ITokenRepository, hasher: VersioningHasher, logger: Logger);
    resetPassword({username, password, passwordResetToken}: IResetPasswordRequest, dataContext?: IDataContext): Promise<void>;
}
