/// <reference types="bunyan" />
import * as Logger from 'bunyan';
import { IUserRepository, ITokenRepository, IDataContext, IVerificationTokenGenerator, IUserRegistrationService } from '../interfaces';
import { IUserRegistrationRequest, IUserRegistrationResponse } from '@identity-stack/core';
import { VersioningHasher } from '../security';
export declare class UserRegistrationService implements IUserRegistrationService {
    private userRepository;
    private tokenRepository;
    private verificationTokenGenerator;
    private hasher;
    private logger;
    constructor(userRepository: IUserRepository, tokenRepository: ITokenRepository, verificationTokenGenerator: IVerificationTokenGenerator, hasher: VersioningHasher, logger: Logger);
    registerUser({username, password, email, ...attributes}: IUserRegistrationRequest, dataContext?: IDataContext): Promise<IUserRegistrationResponse>;
}
