/// <reference types="bunyan" />
import { IAuthTokenRepository, IClientService, IAuthorizationServerConfiguration, IUserRepository, IValidateTokenService } from '../interfaces';
import { IJWTService } from '@identity-stack/jwt';
import { IUser, IClient, TokenType } from '@identity-stack/core';
import * as Logger from 'bunyan';
export declare class ValidateTokenService implements IValidateTokenService {
    private jwt;
    private tokenRepo;
    private clientService;
    private userRepo;
    private settings;
    private logger;
    constructor(jwt: IJWTService, tokenRepo: IAuthTokenRepository, clientService: IClientService, userRepo: IUserRepository, settings: IAuthorizationServerConfiguration, logger: Logger);
    generateToken({userId, clientId, scope, type, redirectURI}: {
        userId: string;
        clientId: string;
        scope?: string[];
        type?: TokenType;
        redirectURI?: string | null;
    }): Promise<string>;
    generateTokens({userId, clientId, scope}: {
        userId: any;
        clientId: any;
        scope: any;
    }): Promise<string[]>;
    validateRefreshToken(refreshToken: any, client: any): Promise<{
        id?: string;
        userId: string;
        clientId: string;
        expirationDate: Date;
        type: TokenType;
        scope?: [string];
        redirectURI?: string;
    }>;
    validateAndDeleteAuth(code: any, client: any, redirectURI: any): Promise<{
        id?: string;
        userId: string;
        clientId: string;
        expirationDate: Date;
        type: TokenType;
        scope?: [string];
        redirectURI?: string;
    }>;
    shallowValidateToken(token: any): Promise<string | never>;
    validateToken(token: any, type?: TokenType): Promise<{
        id?: string;
        userId: string;
        clientId: string;
        expirationDate: Date;
        type: TokenType;
        scope?: [string];
        redirectURI?: string;
    }>;
    getClientOrUser(token: any, accessToken: any): Promise<IUser | IClient>;
    calculateExpirationDate(tokenType?: string): Date;
    revokeToken(token: any): Promise<void>;
    private isRefreshToken(scope);
}
